org.apache.lucene.codecs.lucene54

## Class Lucene54Codec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.lucene54.Lucene54Codec

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

  Deprecated.
  Only for 5.x back compat

      @Deprecated
      public class Lucene54Codec
      extends Codec

  Implements the Lucene 5.4 index format, with configurable per-field postings and docvalues formats.

  If you want to reuse functionality of this codec in another codec, extend `FilterCodec`.

  See Also:
    `package documentation for file format details.`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene54Codec()` Deprecated. Instantiates a new codec.
    `Lucene54Codec(Lucene50StoredFieldsFormat.Mode mode)` Deprecated. Instantiates a new codec, specifying the stored fields compression mode to use.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompoundFormat` | `compoundFormat()` Deprecated.
    `DocValuesFormat` | `docValuesFormat()` Deprecated.
    `FieldInfosFormat` | `fieldInfosFormat()` Deprecated.
    `DocValuesFormat` | `getDocValuesFormatForField(String field)` Deprecated. Returns the docvalues format that should be used for writing new segments of `field`.
    `PostingsFormat` | `getPostingsFormatForField(String field)` Deprecated. Returns the postings format that should be used for writing new segments of `field`.
    `LiveDocsFormat` | `liveDocsFormat()` Deprecated.
    `NormsFormat` | `normsFormat()` Deprecated.
    `PointsFormat` | `pointsFormat()` Deprecated.
    `PostingsFormat` | `postingsFormat()` Deprecated.
    `SegmentInfoFormat` | `segmentInfoFormat()` Deprecated.
    `StoredFieldsFormat` | `storedFieldsFormat()` Deprecated.
    `TermVectorsFormat` | `termVectorsFormat()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.codecs.Codec

      `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene54Codec

          public Lucene54Codec()

      Deprecated.
      Instantiates a new codec.

    - #### Lucene54Codec

          public Lucene54Codec(Lucene50StoredFieldsFormat.Mode mode)

      Deprecated.
      Instantiates a new codec, specifying the stored fields compression mode to use.
      Parameters:
        `mode` - stored fields compression mode to use for newly flushed/merged segments.

  - ### Method Detail

    - #### storedFieldsFormat

          public final StoredFieldsFormat storedFieldsFormat()

      Deprecated.
      Specified by:
        `storedFieldsFormat` in class `Codec`

    - #### termVectorsFormat

          public final TermVectorsFormat termVectorsFormat()

      Deprecated.
      Specified by:
        `termVectorsFormat` in class `Codec`

    - #### postingsFormat

          public final PostingsFormat postingsFormat()

      Deprecated.
      Specified by:
        `postingsFormat` in class `Codec`

    - #### fieldInfosFormat

          public final FieldInfosFormat fieldInfosFormat()

      Deprecated.
      Specified by:
        `fieldInfosFormat` in class `Codec`

    - #### segmentInfoFormat

          public final SegmentInfoFormat segmentInfoFormat()

      Deprecated.
      Specified by:
        `segmentInfoFormat` in class `Codec`

    - #### liveDocsFormat

          public final LiveDocsFormat liveDocsFormat()

      Deprecated.
      Specified by:
        `liveDocsFormat` in class `Codec`

    - #### compoundFormat

          public final CompoundFormat compoundFormat()

      Deprecated.
      Specified by:
        `compoundFormat` in class `Codec`

    - #### getPostingsFormatForField

          public PostingsFormat getPostingsFormatForField(String field)

      Deprecated.
      Returns the postings format that should be used for writing new segments of `field`. The default implementation always returns "Lucene50".

      WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

    - #### getDocValuesFormatForField

          public DocValuesFormat getDocValuesFormatForField(String field)

      Deprecated.
      Returns the docvalues format that should be used for writing new segments of `field`. The default implementation always returns "Lucene54".

      WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

    - #### docValuesFormat

          public final DocValuesFormat docValuesFormat()

      Deprecated.
      Specified by:
        `docValuesFormat` in class `Codec`

    - #### pointsFormat

          public final PointsFormat pointsFormat()

      Deprecated.
      Specified by:
        `pointsFormat` in class `Codec`

    - #### normsFormat

          public final NormsFormat normsFormat()

      Deprecated.
      Specified by:
        `normsFormat` in class `Codec`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.